Package com.xebialabs.xlrelease.domain.events

# Class ReleaseRiskScoreUpdated$

java.lang.Object
scala.runtime.AbstractFunction3<String,Object,Object,ReleaseRiskScoreUpdated>
com.xebialabs.xlrelease.domain.events.ReleaseRiskScoreUpdated$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,Object,Object,ReleaseRiskScoreUpdated>`

public class ReleaseRiskScoreUpdated$ extends scala.runtime.AbstractFunction3<String,Object,Object,ReleaseRiskScoreUpdated> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReleaseRiskScoreUpdated$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseRiskScoreUpdated$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReleaseRiskScoreUpdated`
  `apply(String releaseId, int riskScore, int totalRiskScore)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,Object,Object>>`
  `unapply(ReleaseRiskScoreUpdated x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final ReleaseRiskScoreUpdated$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ReleaseRiskScoreUpdated$

    public ReleaseRiskScoreUpdated$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,Object,Object,ReleaseRiskScoreUpdated>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,Object,Object,ReleaseRiskScoreUpdated>`

  - ### apply

    public ReleaseRiskScoreUpdated apply(String releaseId, int riskScore, int totalRiskScore)

  - ### unapply

    public scala.Option<scala.Tuple3<String,Object,Object>> unapply(ReleaseRiskScoreUpdated x$0)